Overview
GET/content/contactscontent

List contacts

List contacts.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

List

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • ownerKindstring
  • ownerIdstring
  • personUserIdstring?
  • fullNamestring
  • nicknamestring
  • emailstring
  • phonestring
  • notesstring
  • createdAtstring
  • updatedAtstring
Example
[
  {
    "id": "string",
    "customerId": "string",
    "deletedAt": "string",
    "ecosystemId": "string",
    "ownerKind": "string",
    "ownerId": "string",
    "personUserId": "string",
    "fullName": "string",
    "nickname": "string",
    "email": "string",
    "phone": "string",
    "notes": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/contacts" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/contacts", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();